Modify

Opened 7 years ago

Closed 7 years ago

Last modified 7 years ago

#7494 closed defect (fixed)

StartupPage shows wrong version

Reported by: Cobra Owned by: Cobra
Priority: normal Milestone:
Component: Core Version:
Keywords: Cc: AM909

Description

See attached screenshot.

Attachments (1)

josm-5064-showing-up-as-4878.png (107.7 KB) - added by Cobra 7 years ago.

Download all attachments as: .zip

Change History (19)

Changed 7 years ago by Cobra

comment:1 Changed 7 years ago by skyper

Can not reproduce with empty preference dir:

Repository Root: http://josm.openstreetmap.de/svn
Build-Date: 2012-03-10 02:32:34
Last Changed Author: Don-vip
Revision: 5064
Repository UUID: 0c6e7542-c601-0410-84e7-c038aed88b3b
URL: http://josm.openstreetmap.de/svn/trunk
Last Changed Date: 2012-03-10 01:00:44 +0100 (Sat, 10 Mar 2012)
Last Changed Rev: 5064

Identification: JOSM/1.5 (5064 en)
Memory Usage: 35 MB / 241 MB (7 MB allocated, but free)
Java version: 1.6.0_18, Sun Microsystems Inc., OpenJDK 64-Bit Server VM
Operating system: Linux

comment:2 Changed 7 years ago by simon04

Could be due to caching of the MOTD …

comment:3 in reply to:  2 Changed 7 years ago by simon04

Strange … MOTD should be reloaded automatically if the version changes. What are the values of cache.motd.html.version and josm.version in the advanced settings?

comment:4 Changed 7 years ago by stoecker

Owner: changed from team to Cobra
Status: newneedinfo

comment:5 Changed 7 years ago by Cobra

AM909 in #osm just reported this:

< AM909> Running 5159, my start page says "Active version '4279' should be updated! The current stable snapshot is 5047 and 5159 is the unstable development version." Anyone else see this?

< AM909> Help confirms I am running 5159

< AM909> cache... is 5159

< AM909> as is josm.version

comment:6 Changed 7 years ago by stoecker

Code looks good. It should be possible that no MOTD is there, but old files should not be possible. There should have been Stacktraces in commandline in previous calls of JOSM. We would need these.

I assume you are using windows and there is again a file-lock-issue involved, though also in this case the code looks clean to me.

Please change "cache.motd.html.version" to old revision by hand and have a look if there are error messages and if the issue reappears. If there is a stream conversion error or a write error for MOTD file we have at least an indication what may be wrong.

comment:7 Changed 7 years ago by skyper

Cc: AM909 added

comment:8 Changed 7 years ago by stoecker

comment:9 Changed 7 years ago by simon04

Could someone reproduce this effect?

comment:10 Changed 7 years ago by AM909

I'm up at r5181 now, and the start page no longer mentions what version I'm running, nor what the current tested or latest are. It's been that way for the last several versions. It starts:

JOSM – Java OpenStreetMap Editor

2012-04-14 (5181)
The entry page of josm.openstreetmap.de has been simplified and re-organized...
2012-02-07 (4905)
Shortcuts for the Relation Editor have been added:...
2012-02-02 (4897 ...)
Conflicting shortcuts in JOSM and plugins get fixed...
More news ...
Help translating JOSM into your language!​ 
Getting Started...

comment:11 Changed 7 years ago by stoecker

Ooops. Copied the test back to StartupPage. It got moved to old news VersionHistory page by accident :-)

comment:12 Changed 7 years ago by Cobra

I've got a running instance of josm-latest r5361 (current version) showing "You should update!" on the startup page. Will investigate and keep it running.

comment:13 Changed 7 years ago by Cobra

josm-latest r5361

cache.motd.html.version = 5361
josm.version = 5361

$ls -l ~/.josm/cache/motd.html
... 2012-07-26 08:30 .../.josm/cache/motd.html

comment:14 Changed 7 years ago by stoecker

Server log says:

82.212.39.199 - - [26/Jul/2012:08:30:35 +0200] "GET /wiki/StartupPage HTTP/1.1" 200 12342 16s "-" "JOSM/1.5 (5361 en) Java/1.6.0_33"

Trac log says:

2012-07-26 08:30:36,211 Trac[JOSM] WARNING: PAGE: StartupPage AGENT: JOSM/1.5 (5361 en) Java/1.6.0_33

So you accessed the page with correct revision and also should have got a valid page in return. Is the motd.html correct and the display wrong or are both wrong?

comment:15 Changed 7 years ago by Cobra

motd.html has this line:

<h2><b>You should <a href="http://josm.openstreetmap.de/">update</a>!</b></h2>

full motd.html: http://pastebin.com/UTiFZ8P3

comment:16 Changed 7 years ago by stoecker

When you delete the file and retry, what happens?

comment:17 Changed 7 years ago by stoecker

Resolution: fixed
Status: needinfoclosed

It took 16 seconds to deliver your page. Probably it is some inconsistency in server.

I optimized the code, so it no longer uses a probably insecure method to pass the version to the wiki page. This should fix this issue

comment:18 Changed 7 years ago by Cobra

I deleted the cached file and restarted josm - looks okay now.

Modify Ticket

Change Properties
Set your email in Preferences
Action
as closed The owner will remain Cobra.
as The resolution will be set.
The resolution will be deleted.

Add Comment


E-mail address and name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.